%define upstream_name 	 XML-Driver-HTML
%define upstream_version 0.06

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 9

Summary:	SAX Driver for non wellformed HTML
License: 	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need
for the HTML input to be weel formed, as XML::Driver::HTML
is generating its SAX events by walking a HTML::TreeBuilder object.
The simplest kind of use, is a filter from HTML to XHTML
using XML::Handler::YAWriter as a SAX Handler.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README MANIFEST
%{perl_vendorlib}/XML/Driver/HTML.pm
%_mandir/man1/html2xhtml.*
%_mandir/man3/XML::Driver::HTML.*
%_bindir/html2xhtml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1498349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1272748
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1035903
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 947758
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 740765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686911
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 516122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 27273
- mageia rebuild
- imported package perl-XML-Driver-HTML


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 401867
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-10mdv2009.0
+ Revision: 242198
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-8mdv2008.0
+ Revision: 64812
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-7mdv2008.0
+ Revision: 23531
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-6mdk
- Fix According to perl Policy
	- Source URL
	- URL
- use mkrel

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.06-5mdk
- rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-4mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-3mdk
- Clean out Requires
- Use %%make
- Macroize
- Removal local detection of the archlib
- Use perl macros so it'll build across perl versions
- perllocal.pod
- URL
- Correct license, it's GPLed.

